---
title: Gets an editor definition identified by a type and an optional uihint.
slug: cms-12/api/0Z25-gets-an-editor-definition-identified-by-a-type-and-an-optional-uihint
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "mK1d1CQhcesxZEmL2Kz9e",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/editors/{dataType}/{uiHint}",
    "servers": [],
    "name": "Gets an editor definition identified by a type and an optional uihint.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "dataType",
          "type": "string",
          "description": "The type for an editor definition"
        },
        {
          "kind": "required",
          "name": "uiHint",
          "type": "string",
          "description": "The UIHint for an editor definition"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Success",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Serializable model class for an editor definition exposed in the EditorDefinition API",
            "customType": "editorDefinition",
            "schema": [
              {
                "name": "dataType",
                "kind": "required",
                "type": "string",
                "description": "The type for the editor definition"
              },
              {
                "name": "uiHint",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The UIHint for the editor definition"
              },
              {
                "name": "editor",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The editor for the editor definition"
              }
            ],
            "modelRef": "#/components/schemas/editorDefinition",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "SlORCKRE1_N-WEloAMvu3",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/editors/{dataType}/{uiHint} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "NBgsYVKE8UEHYEU3-up5d",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/editors/{dataType}/{uiHint}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "e6rZdecLVt9-eWZ7-pbjD",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/editors/{dataType}/{uiHint}\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "_oY4rGZTR7kuMPAo9TD6x",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/editors/{dataType}/{uiHint}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "SlORCKRE1_N-WEloAMvu3"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Success\n{\n  \"dataType\": \"\",\n  \"uiHint\": \"\",\n  \"editor\": \"\"\n}"
        },
        {
          "id": "response-1-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}